Loading...
Searching...
No Matches
Plane in three-dimensional space.
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TPlane3< float > | BALL::Plane3
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TPlane3< T > &plane)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TPlane3< T > &plane)

## Detailed Description

## Typedef Documentation

## Plane3

typedef TPlane3<float> BALL::Plane3

Default plane class of type float

Definition at line 401 of file plane3.h.

## Function Documentation

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TPlane3< T > & | plane )

Output operator Prints two instances of TVector3: p, n

Definition at line 392 of file plane3.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TPlane3< T > & | plane )

Input operator reads in two instances of TVector3: p, n

Definition at line 380 of file plane3.h.